curl --request POST \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate \
--header 'Content-Type: */*' \
--header 'X-API-KEY: <api-key>' \
--data '{
"newProductCode": "<string>",
"dateOfChange": "<string>"
}'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate"
payload = "{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}"
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': '*/*'},
body: '{\n "newProductCode": "<string>",\n "dateOfChange": "<string>"\n}'
};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}",
CURLOPT_HTTPHEADER => [
"Content-Type: */*",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate"
payload := strings.NewReader("{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "*/*")
.body("{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = '*/*'
request.body = "{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "Approved",
"declineReason": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Merchant Initiated Subscription Update
curl --request POST \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate \
--header 'Content-Type: */*' \
--header 'X-API-KEY: <api-key>' \
--data '{
"newProductCode": "<string>",
"dateOfChange": "<string>"
}'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate"
payload = "{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}"
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': '*/*'},
body: '{\n "newProductCode": "<string>",\n "dateOfChange": "<string>"\n}'
};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}",
CURLOPT_HTTPHEADER => [
"Content-Type: */*",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate"
payload := strings.NewReader("{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "*/*")
.body("{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/update/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = '*/*'
request.body = "{\n \"newProductCode\": \"<string>\",\n \"dateOfChange\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "Approved",
"declineReason": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
Path Parameters
The partner subscription id which is being updated.
36Body
Partner subscription update validation request
Was this page helpful?

